const app = getApp()
// pages/process/process.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    requestUrl: app.requestUrl,
    token: '',
    caseId: '',
    processList: []
  },
  // 获取流程
  getProcess: function () {
    var self = this
    app.restAjax.get(app.restAjax.path('{reqesutUrl}app/reportcase/listreportcaselog/' + self.data.caseId, [app.requestUrl]), {}, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      console.log(data)
      for (let i = 0; i < data.length; i++) {
        data[i].userPhotos = data[i].userPhotos.split(',')
      }
      self.setData({
        processList: data
      })
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this
    this.setData({
      caseId: options.id
    })
    wx.getStorage({
      key: 'token',
      success: function (res) {
        self.setData({
          token: res.data
        })
        self.getProcess()
      }
    })
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})